`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 11/06/2023 11:30:17 PM
// Design Name: 
// Module Name: tinyALU_test
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module tinyALU_test;

	// Inputs
	reg [15:0] a;
	reg [15:0] b;
	reg       sel;

	// Outputs
	wire [15:0] result;
	wire        carry;

	// Instantiate the Unit Under Test (UUT)
	tinyALU uut (
		.result(result),
		.carry(carry), 
		.a(a), 
		.b(b),
		.sel(sel)
	);

	initial begin
		// Initialize Inputs
		a = 0;
		b = 0;
        sel = 0;
        
		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		a = 10;
		b = 20;
		sel = 0;
        #5;
        
		a = 10;
		b = 20;
		sel = 1;
        #5;
        
        a = 95;
		b = 20;
		sel = 1;
        #5;
        
        a = 95;
		b = 20;
		sel = 0;
        #5;
	end
      
endmodule